View Issue Details

IDProjectCategoryView StatusLast Update
0002079Ham Radio DeluxeBugpublic2017-07-09 18:59
Reporterg3ucq 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002079: My Maidehead locator is not accepted.
DescriptionMy longitude is 50 11 44 N and 5 23 59 W. My Locator is IO70he but this is not accepted by Mapper settings.
Mapper is putting me in JO square
TagsNo tags attached.
ModuleMapper
Sub-ModuleFunctional
Testing Beta Successful

Relationships

Activities

g3ucq

2017-06-27 03:50

viewer   ~0003337

The maidenhead data in Mapper is incorrect. See the two images.
Mapper is putting me in JO which is incorrect.

correct.JPG (36,614 bytes)
correct.JPG (36,614 bytes)
mapper.JPG (67,134 bytes)
mapper.JPG (67,134 bytes)

g3ucq

2017-06-28 04:41

viewer   ~0003345

HRD V5 shows the correct Locator positions.

V5 mapper.JPG (64,312 bytes)
V5 mapper.JPG (64,312 bytes)

K7ZCZ

2017-06-29 02:07

manager   ~0003411

Rejecting valid Locators has been fixed with checkin #3547
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3547

I'm afraid I can't understand what you mean by "Mapper is putting me in JO square"; if you can provide specific repro steps, I can have a look at that part of the issue.

g3ucq

2017-06-29 03:28

viewer   ~0003424

In the mapper.jpg above, I am located in JO20 square which is incorrect. My QTH is IO70 which is correctly shown in the correct.jpg and also the Mapper screenshot from Mapper v5.
My lon/lat is 50° 11' 44"N, 5° 23' 59" W which is IO70he

K7ZCZ

2017-06-29 14:30

manager   ~0003428

I just need some repro steps: I'm not sure how you're creating these maps.

In the mapper.jpg image you supply, I don't see a mark in the JO20 square.

g3ucq

2017-06-29 15:38

viewer   ~0003429

If you go to this website http://www.levinecentral.com/ham/grid_square.php and enter G3UCQ it will not only give you the exact lon/lat of my qth but the locator as well, i.e IO70he. Currently, Mapper incorrectly shows this area to be square JO20 with IO to the right of it.
Entering my lon/lat in the Mapper/Tools/Settings brings up the error as shown in Mapper.jpg. That is why there is no mark in the JO20 square.
HTH

Mapper-2.JPG (47,853 bytes)
Mapper-2.JPG (47,853 bytes)

K7ZCZ

2017-06-29 20:38

manager   ~0003431

Got it! Thanks for being patient with me.

Perhaps the subtlety of the problem helped cloak it from my evaluation. You're very near the meridian (5 degrees west). The issue in the code is that signs have flipped -- in a few places, negative has become East, and positive has become west. I'm working to fix that, and hopefully we can turn around a corrected build soon.

K7ZCZ

2017-06-29 23:02

manager   ~0003432

OK, got the drawing issue fixed. It lead down an interesting path. Sorry for the trouble!

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3552

g3ucq

2017-06-30 14:26

viewer   ~0003434

Sorry but this is not completely fixed. Mapper is calculating the square incorrectly.
Having entered my lat/lon and then press the down arrow, the incorrect locator, JO20qe, is entered which is shown in the capture.jpg image.
However, I can manually enter my locator, IO70he and that is accepted now.

Capture.JPG (89,089 bytes)
Capture.JPG (89,089 bytes)

K7ZCZ

2017-06-30 15:39

manager   ~0003436

Thanks; there was one more negative-West flip to be done.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3565

g3ucq

2017-07-01 01:06

viewer   ~0003444

The input lat/lon data is not being saved or is using the locator info to change the lat/lon.
Input lat/lon as mappera.jpg, then click on OK or Apply and when I return to Settings the lat/lon has changed as in mapperb.jpg.
The locator is shown in the correct square on the map.

mappera.JPG (30,825 bytes)
mappera.JPG (30,825 bytes)
mapperb.JPG (31,367 bytes)
mapperb.JPG (31,367 bytes)

WA9PIE

2017-07-04 23:30

administrator   ~0003461

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003496

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 03:34

viewer   ~0003529

Still the same problem as reported in my last post. Inputting lat/lon is not saved.

WA9PIE

2017-07-05 19:39

administrator   ~0003568

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-26 16:04 g3ucq New Issue
2017-06-27 03:50 g3ucq File Added: correct.JPG
2017-06-27 03:50 g3ucq File Added: mapper.JPG
2017-06-27 03:50 g3ucq Note Added: 0003337
2017-06-28 04:41 g3ucq File Added: V5 mapper.JPG
2017-06-28 04:41 g3ucq Note Added: 0003345
2017-06-29 02:07 K7ZCZ Note Added: 0003411
2017-06-29 02:08 K7ZCZ Status new => acknowledged
2017-06-29 02:08 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-29 03:28 g3ucq Note Added: 0003424
2017-06-29 14:30 K7ZCZ Note Added: 0003428
2017-06-29 15:38 g3ucq File Added: Mapper-2.JPG
2017-06-29 15:38 g3ucq Note Added: 0003429
2017-06-29 20:38 K7ZCZ Note Added: 0003431
2017-06-29 23:02 K7ZCZ Note Added: 0003432
2017-06-29 23:03 K7ZCZ Assigned To => K7ZCZ
2017-06-29 23:03 K7ZCZ Status acknowledged => resolved
2017-06-29 23:03 K7ZCZ Resolution open => fixed
2017-06-29 23:03 K7ZCZ Sub-Module => Functional
2017-06-29 23:03 K7ZCZ Testing => Not Started
2017-06-30 14:26 g3ucq File Added: Capture.JPG
2017-06-30 14:26 g3ucq Note Added: 0003434
2017-06-30 15:39 K7ZCZ Note Added: 0003436
2017-07-01 01:06 g3ucq File Added: mappera.JPG
2017-07-01 01:06 g3ucq File Added: mapperb.JPG
2017-07-01 01:06 g3ucq Note Added: 0003444
2017-07-01 08:30 WA9PIE Fixed in Version => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003461
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003496
2017-07-05 03:34 g3ucq Note Added: 0003529
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003568
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful